Security Enhanced Linux Reference Policy

# Layer: services

## Module: dhcp

Interfaces

### Description:

Dynamic host configuration protocol (DHCP) server

### Interfaces:

dhcpd_admin( domain , role )

##### Summary

All of the rules required to administrate an dhcp environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the dhcp domain.

dhcpd_initrc_domtrans( domain )

##### Summary

Execute dhcp server in the dhcp domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

dhcpd_setattr_state_files( domain )

##### Summary

Set the attributes of the DCHP server state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return